Question: when you say modules what do you mean by that? node_modules?

Asked By
digitalcakes
Asked At
2017-08-31 21:28:17

Found 15 possible answers.

User Answered At Possible Answer
loganfsmyth 2017-08-31 21:28:36 I'd then do exclude: [/node_modules/, /Unison.js$/]
digitalcakes 2017-08-31 21:28:40
, {
thank you
ah
      }
} presets: ['env'] query: { loader: 'babel-loader', exclude: /node_modules/, test: /\.js$/,
loganfsmyth 2017-08-31 21:28:59 that'll just tell it to skip running Babel on that file but if you don't need Babel to run on it, you might as well just skip it the alternative would be to write it as global.Unison =
lukescott 2017-08-31 22:33:11 Does anyone know what might be causing this?
ERROR in ./node_modules/babel-polyfill/lib/index.js
oh - does babel-env need babel-polyfill ?
@ multi whatwg-fetch babel-polyfill ./src/index @ ./node_modules/babel-polyfill/lib/index.js 5:0-38 Module not found: Error: Can't resolve 'regenerator-runtime/runtime' in '/Users/lukescott/Documents/Go/src/github.com/webconnex/bouncer/bouncer/client/node_modules/babel-polyfill/lib' ERROR in ./node_modules/babel-polyfill/lib/index.js @ multi whatwg-fetch babel-polyfill ./src/index @ ./node_modules/babel-polyfill/lib/index.js 3:0-23 Module not found: Error: Can't resolve 'core-js/shim' in '/Users/lukescott/Documents/Go/src/github.com/webconnex/bouncer/bouncer/client/node_modules/babel-polyfill/lib' ERROR in ./node_modules/babel-polyfill/lib/index.js @ multi whatwg-fetch babel-polyfill ./src/index @ ./node_modules/babel-polyfill/lib/index.js 7:0-35 Module not found: Error: Can't resolve 'core-js/fn/regexp/escape' in '/Users/lukescott/Documents/Go/src/github.com/webconnex/bouncer/bouncer/client/node_modules/babel-polyfill/lib'
deja87 2017-08-31 22:37:42 I used babel-env without a pollyfill
lukescott 2017-08-31 22:40:50 I mean when I used babel-latest I needed to inject babel-polyfill. It looks like with babel-env I don’t need to do that.
deja87 2017-08-31 23:02:40 oh yes :slightly_smiling_face: I' not using babel-latest
lukescott 2017-08-31 23:07:56 ok, while that works I get regeneratorRuntime is not defined
hzoo 2017-08-31 23:18:49 Polyfill should be an imported dependency
mattias.buelens 2017-09-01 12:40:08 https://github.com/babel/babel/pull/5943 added a loose option to babel-plugin-transform-es2015-parameters . I think this option should also be passed from babel-preset-es2015 ? https://github.com/babel/babel/blob/master/packages/babel-preset-es2015/src/index.js#L71
hzoo 2017-09-01 14:11:48 @mattias.buelens use preset-env and use the loose option
mattias.buelens 2017-09-01 14:17:11 @hzoo Fair enough. I was already reworking my build chain, might as well upgrade it properly. Thanks!
hzoo 2017-09-01 21:16:17 https://github.com/facebookincubator/create-react-app/issues/3037 got pinged on this but didn't look into it, don't see how it's related to preset-env though
loganfsmyth 2017-09-01 21:24:00 hmm, that probably is a bug https://github.com/babel/babel/issues/5630
hzoo 2017-09-01 21:27:11 > PropTypes error should show a component name, Hello, like development build does (yarn start so it is ok in development?

Related Questions